Cur (xmlbeans API)

org.apache.xmlbeans.impl.store

## Class Cur

- java.lang.Object
- - org.apache.xmlbeans.impl.store.Cur

-     public final class Cur
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Cur.CurLoadContext`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addToSelection()`
    `void` | `addToSelection(Cur that)`
    `int` | `cchLeft()`
    `int` | `cchRight()`
    `void` | `clearSelection()`
    `static void` | `dump(PrintStream o, org.apache.xmlbeans.impl.store.Xobj xo, Object ref)`
    `String` | `getAttrValue(QName name)`
    `DomImpl.Dom` | `getDom()`
    `String` | `getLocal()`
    `Locale` | `getLocale()`
    `QName` | `getName()`
    `XmlObject` | `getObject()`
    `org.apache.xmlbeans.impl.store.Xobj` | `getParent()`
    `org.apache.xmlbeans.impl.store.Xobj` | `getParent(boolean raw)`
    `org.apache.xmlbeans.impl.store.Xobj` | `getParentNoRoot()`
    `org.apache.xmlbeans.impl.store.Xobj` | `getParentRaw()`
    `String` | `getUri()`
    `String` | `getXmlnsPrefix()`
    `String` | `getXmlnsUri()`
    `boolean` | `hasAttrs()`
    `boolean` | `hasChildren()`
    `boolean` | `hasParent()`
    `boolean` | `hasText()`
    `boolean` | `isAtEndOfLastPush()`
    `boolean` | `isAttr()`
    `boolean` | `isComment()`
    `boolean` | `isContainer()`
    `boolean` | `isContainerOrFinish()`
    `boolean` | `isDomDocRoot()`
    `boolean` | `isDomFragRoot()`
    `boolean` | `isElem()`
    `boolean` | `isEnd()`
    `boolean` | `isEndRoot()`
    `boolean` | `isFinish()`
    `boolean` | `isNode()`
    `boolean` | `isNormalAttr()`
    `boolean` | `isPositioned()`
    `boolean` | `isProcinst()`
    `boolean` | `isRoot()`
    `boolean` | `isText()`
    `boolean` | `isTextCData()`
    `boolean` | `isUserNode()`
    `boolean` | `isXmlns()`
    `int` | `kind()`
    `void` | `moveToCharNode(org.apache.xmlbeans.impl.store.CharNode node)`
    `void` | `moveToSelection(int i)`
    `boolean` | `next()`
    `boolean` | `next(boolean withAttrs)`
    `boolean` | `nextWithAttrs()`
    `boolean` | `prev()`
    `boolean` | `prevWithAttrs()`
    `void` | `push()`
    `void` | `release()`
    `boolean` | `removeAttr(QName name)`
    `void` | `removeFollowingAttrs()`
    `int` | `selectionCount()`
    `void` | `setAttrValue(QName name, String value)`
    `void` | `setAttrValueAsQName(QName value)`
    `protected org.apache.xmlbeans.impl.store.Bookmark` | `setBookmark(Object key, Object value)`
    `void` | `setValue(String value)`
    `void` | `setValueAsQName(QName qname)`
    `boolean` | `skip()`
    `boolean` | `skipWithAttrs()`
    `boolean` | `toAttr(QName name)`
    `void` | `toEnd()`
    `boolean` | `toFirstAttr()`
    `boolean` | `toFirstChild()`
    `boolean` | `toLastAttr()`
    `boolean` | `toLastChild()`
    `boolean` | `toNextAttr()`
    `boolean` | `toNextSibling()`
    `boolean` | `toParent()`
    `boolean` | `toParent(boolean raw)`
    `boolean` | `toParentRaw()`
    `boolean` | `toPrevAttr()`
    `void` | `toRoot()`
    `Cur` | `weakCur(Object o)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### isPositioned

          public boolean isPositioned()

    - #### kind

          public int kind()

    - #### isRoot

          public boolean isRoot()

    - #### isElem

          public boolean isElem()

    - #### isAttr

          public boolean isAttr()

    - #### isComment

          public boolean isComment()

    - #### isProcinst

          public boolean isProcinst()

    - #### isText

          public boolean isText()

    - #### isEnd

          public boolean isEnd()

    - #### isEndRoot

          public boolean isEndRoot()

    - #### isNode

          public boolean isNode()

    - #### isContainer

          public boolean isContainer()

    - #### isFinish

          public boolean isFinish()

    - #### isUserNode

          public boolean isUserNode()

    - #### isContainerOrFinish

          public boolean isContainerOrFinish()

    - #### isNormalAttr

          public boolean isNormalAttr()

    - #### isXmlns

          public boolean isXmlns()

    - #### isTextCData

          public boolean isTextCData()

    - #### getName

          public QName getName()

    - #### getLocal

          public String getLocal()

    - #### getUri

          public String getUri()

    - #### getXmlnsPrefix

          public String getXmlnsPrefix()

    - #### getXmlnsUri

          public String getXmlnsUri()

    - #### isDomDocRoot

          public boolean isDomDocRoot()

    - #### isDomFragRoot

          public boolean isDomFragRoot()

    - #### cchRight

          public int cchRight()

    - #### cchLeft

          public int cchLeft()

    - #### push

          public void push()

    - #### isAtEndOfLastPush

          public boolean isAtEndOfLastPush()

    - #### addToSelection

          public void addToSelection(Cur that)

    - #### addToSelection

          public void addToSelection()

    - #### selectionCount

          public int selectionCount()

    - #### moveToSelection

          public void moveToSelection(int i)

    - #### clearSelection

          public void clearSelection()

    - #### toParent

          public boolean toParent()

    - #### toParentRaw

          public boolean toParentRaw()

    - #### getParent

          public org.apache.xmlbeans.impl.store.Xobj getParent()

    - #### getParentRaw

          public org.apache.xmlbeans.impl.store.Xobj getParentRaw()

    - #### hasParent

          public boolean hasParent()

    - #### getParentNoRoot

          public org.apache.xmlbeans.impl.store.Xobj getParentNoRoot()

    - #### getParent

          public org.apache.xmlbeans.impl.store.Xobj getParent(boolean raw)

    - #### toParent

          public boolean toParent(boolean raw)

    - #### toRoot

          public void toRoot()

    - #### hasText

          public boolean hasText()

    - #### hasAttrs

          public boolean hasAttrs()

    - #### hasChildren

          public boolean hasChildren()

    - #### toFirstChild

          public boolean toFirstChild()

    - #### toLastChild

          public boolean toLastChild()

    - #### toNextSibling

          public boolean toNextSibling()

    - #### setValueAsQName

          public void setValueAsQName(QName qname)

    - #### setValue

          public void setValue(String value)

    - #### removeFollowingAttrs

          public void removeFollowingAttrs()

    - #### getAttrValue

          public String getAttrValue(QName name)

    - #### setAttrValueAsQName

          public void setAttrValueAsQName(QName value)

    - #### removeAttr

          public boolean removeAttr(QName name)

    - #### setAttrValue

          public void setAttrValue(QName name,
                                   String value)

    - #### toAttr

          public boolean toAttr(QName name)

    - #### toFirstAttr

          public boolean toFirstAttr()

    - #### toLastAttr

          public boolean toLastAttr()

    - #### toNextAttr

          public boolean toNextAttr()

    - #### toPrevAttr

          public boolean toPrevAttr()

    - #### skipWithAttrs

          public boolean skipWithAttrs()

    - #### skip

          public boolean skip()

    - #### toEnd

          public void toEnd()

    - #### moveToCharNode

          public void moveToCharNode(org.apache.xmlbeans.impl.store.CharNode node)

    - #### prevWithAttrs

          public boolean prevWithAttrs()

    - #### prev

          public boolean prev()

    - #### next

          public boolean next(boolean withAttrs)

    - #### nextWithAttrs

          public boolean nextWithAttrs()

    - #### next

          public boolean next()

    - #### setBookmark

          protected final org.apache.xmlbeans.impl.store.Bookmark setBookmark(Object key,
                                                                              Object value)

    - #### weakCur

          public Cur weakCur(Object o)

    - #### getObject

          public XmlObject getObject()

    - #### getDom

          public DomImpl.Dom getDom()

    - #### release

          public void release()

    - #### dump

          public static void dump(PrintStream o,
                                  org.apache.xmlbeans.impl.store.Xobj xo,
                                  Object ref)

    - #### getLocale

          public Locale getLocale()